<?php
    session_start();
    if($_SESSION['logged'] != true)
        exit("<center>Please Login first<br><a href='../pb-admin.php' class='btn btn-danger'>Login</button></center>");
    include("../php/db_login.php");
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Control Panel</title>
    <link rel="icon" href="../images/logos/tab_icon.jpg">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="alt_php/styles.css">
</head>
<body>
    <?php
        $active = "alt_about";
        include("alt_php/navbar.php");
    ?>

    <div class="container mt-5">
        <div class="row mb-5">
            <div class="col-12 text-center">
                <h1>Upload/Delete Fields on About</h1>
            </div>
        </div>

        <div class="row">
            <div class="col-12 col-lg-6">
                <h4>Upload Field</h4>
                <form method = "POST">
                    <textarea class="form-control my-2" name="data" rows="5" placeholder="Achievement" required></textarea>
                    <select class='form-control my-2' name='type'>
                        <option value='exp'>Experience</option>
                        <option value='cert'>Certificate</option>
                    </select>
                    <input type = "submit" class="form-control btn btn-success mb-2" name="upload" value="Upload">
                </form>
            </div>

            <div class="col-12 col-lg-6 mt-5 mt-lg-0">
                <h4>Delete Existing Field</h4>
                    <form method='POST'>
                    <?php
                        $sql = "SELECT detail FROM about where 1";
                        $result = $conn -> query($sql);
    
                        if($result -> num_rows > 0) {
                            echo "
                            <div class='form-group'>
                            <select class='form-control' name='field_select'>
                            <option value=''>None Selected</option>
                            ";
                            while ($row = $result -> fetch_assoc()) {
                                echo "<option value='". $row['detail'] . "'>" . $row['detail'] . "</option>";
                            }
                            echo "
                                </select>
                                </div>
                                <input type = 'submit' class='form-control btn btn-danger' name='delete' value='Delete'>
                            ";
                        }
                    ?>
                    </form>
            </div>
        </div>
    </div>

    <?php
        if(isset($_POST['upload'])) {
            require("../php/test_input.php");

            $data = test($_POST['data']);

            $type = test($_POST['type']);

            $sql = "INSERT INTO about (detail, cat) VALUES ('$data', '$type')";

            if ($conn->query($sql) === TRUE) {
                echo "
                <script>
                    alert('Uploaded Successfully');
                    location.href = 'alt_about';
                </script>
                    ";
            }
            else {
                echo "<script>
                    location.href = '../oops.php';
                    </script>";
            }
        }

        if(isset($_POST['delete'])) {
            $field = $_POST['field_select'];
            
            if($field == '')
                echo "
                <script>
                    alert('Selection Empty');
                    location.href = 'alt_about';
                </script>
                    ";

            $sql = "DELETE FROM about WHERE  detail = '$field'";

            if ($conn->query($sql) === TRUE) {
                echo "
                <script>
                    alert('Deleted Successfully');
                    location.href = 'alt_about';
                </script>
                    ";
            }
            else {
                echo "<script>
                    location.href = '../oops.php';
                    </script>";
            }
        }

    ?>

    <footer class="footer text-white text-center bg-dark mt-5">
        <p class="mb-0 p-1">Control Panel, Designed &amp; Developed by <a target="_blank" href="http://www.purplebyte.in" style="color: skyblue">Purple Byte Solutions</a></p>
    </footer>

    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>